org.apache.myfaces.trinidad.component.core.input

## Class CoreSelectItem

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXSelectItem
        - - org.apache.myfaces.trinidad.component.core.input.CoreSelectItem

- All Implemented Interfaces:
    javax.faces.component.StateHolder

      public class CoreSelectItem
      extends UIXSelectItem

  The selectItem tag represents a single item that the user may select from a list, choice, radio, or shuttle Trinidad control. It may be used in place of the JSF selectItem or selectItems tags, but is very similar (largely not requiring "item" in front of its attributes.)

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change events might include the width of a column that supported client-side resizing.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static PropertyKey` | `DISABLED_KEY`
    `static PropertyKey` | `LABEL_KEY`
    `static PropertyKey` | `LONG_DESC_KEY`
    `static PropertyKey` | `SHORT_DESC_KEY`
    `static FacesBean.Type` | `TYPE`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXSelectItem

      `VALUE_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CoreSelectItem()` Construct an instance of the CoreSelectItem.
    `protected` | `CoreSelectItem(String rendererType)` Construct an instance of the CoreSelectItem.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FacesBean.Type` | `getBeanType()`
    `String` | `getFamily()`
    `String` | `getLabel()` Gets the user-visible text of the item
    `String` | `getLongDesc()` Gets the description associated with this option.
    `String` | `getShortDesc()` Gets The short description of the bean.
    `boolean` | `isDisabled()` Gets whether the item is disabled.
    `void` | `setDisabled(boolean disabled)` Sets whether the item is disabled.
    `void` | `setLabel(String label)` Sets the user-visible text of the item
    `void` | `setLongDesc(String longDesc)` Sets the description associated with this option.
    `void` | `setShortDesc(String shortDesc)` Sets The short description of the bean.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXSelectItem

      `getValue, setValue`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addFacesListener, broadcast, broadcastToMethodBinding, broadcastToMethodExpression, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getParent, getProperty, getPropertyKey, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeAttributeChangeListener, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setValueBinding, setValueExpression, toString, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, clearCachedClientIds, clearCachedClientIds, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### LABEL_KEY

          public static final PropertyKey LABEL_KEY

    - #### DISABLED_KEY

          public static final PropertyKey DISABLED_KEY

    - #### LONG_DESC_KEY

          public static final PropertyKey LONG_DESC_KEY

    - #### SHORT_DESC_KEY

          public static final PropertyKey SHORT_DESC_KEY

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CoreSelectItem

          public CoreSelectItem()

      Construct an instance of the CoreSelectItem.

    - #### CoreSelectItem

          protected CoreSelectItem(String rendererType)

      Construct an instance of the CoreSelectItem.

  - ### Method Detail

    - #### getLabel

          public final String getLabel()

      Gets the user-visible text of the item
      Returns:
        the new label value

    - #### setLabel

          public final void setLabel(String label)

      Sets the user-visible text of the item
      Parameters:
        `label` - the new label value

    - #### isDisabled

          public final boolean isDisabled()

      Gets whether the item is disabled. By default, no items are disabled.
      Returns:
        the new disabled value

    - #### setDisabled

          public final void setDisabled(boolean disabled)

      Sets whether the item is disabled. By default, no items are disabled.
      Parameters:
        `disabled` - the new disabled value

    - #### getLongDesc

          public final String getLongDesc()

      Gets the description associated with this option. This is used in selectManyShuttle and selectOrderShuttle, and ignored otherwise.
      Returns:
        the new longDesc value

    - #### setLongDesc

          public final void setLongDesc(String longDesc)

      Sets the description associated with this option. This is used in selectManyShuttle and selectOrderShuttle, and ignored otherwise.
      Parameters:
        `longDesc` - the new longDesc value

    - #### getShortDesc

          public final String getShortDesc()

      Gets The short description of the bean. This text is commonly used by user agents to display advisory information about the option.
      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets The short description of the bean. This text is commonly used by user agents to display advisory information about the option.
      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `UIXSelectItem`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXSelectItem`

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.